Index: gst-libav1.0/ext/libav/gstav.c
===================================================================
--- gst-libav1.0.orig/ext/libav/gstav.c	2012-09-14 12:09:56.359035020 +0200
+++ gst-libav1.0/ext/libav/gstav.c	2012-12-18 11:40:42.190169045 +0100
@@ -134,6 +134,13 @@
 
   av_register_all ();
 
+  gst_plugin_add_dependency_simple (plugin, NULL,
+      "/usr/lib:/usr/local/lib",
+      "libavcodec.so.55,"
+      "libavformat.so.55,"
+      "libswscale.so.2",
+      GST_PLUGIN_DEPENDENCY_FLAG_NONE);
+
   gst_ffmpegaudenc_register (plugin);
   gst_ffmpegvidenc_register (plugin);
   gst_ffmpegauddec_register (plugin);
